/* Nazwa:    Formatowanie_SHTML.h	  
 * Funkcja: Plik nag��wkowy procedur zwi�zanych z dekodowaniem tag�w w plikach SHTML 
 * @author  ARIES
 *
 * Version: V1.00
 * data:    01-08-2018
 *----------------------------------------------------------------------------
 * Copyright (c) 2018 ARIES. All rights reserved.
 *----------------------------------------------------------------------------*/
 /* Define to prevent recursive inclusion ------------------------------------ */
#ifndef __FORMATOWANIE_SHTML_H
#define __FORMATOWANIE_SHTML_H

//tagi TAG-F
#define TAG_F_OUT1    "form_name_out1"
#define TAG_F_OUT2    "form_name_out2"
#define TAG_F_OUT3    "form_name_out3"
#define TAG_F_OUT4    "form_name_out4"
#define TAG_F_HAS1    "form_name_has1"
//#define TAG_F_IN1     "form_name_in1"
//#define TAG_F_IN2     "form_name_in2"
//#define TAG_F_IN3     "form_name_in3"
//#define TAG_F_IN4     "form_name_in4"
#define TAG_F_NET_SSID  "form_name_siec_nazwa"
#define TAG_F_NET_HAS   "form_name_siec_haslo"
//tagi TAG-W
#define TAG_W_OUT1    "tag_w_out1"
#define TAG_W_OUT2    "tag_w_out2"
#define TAG_W_OUT3    "tag_w_out3"
#define TAG_W_OUT4    "tag_w_out4" 
#define TAG_W_IN1     "tag_w_in1" 
#define TAG_W_IN2     "tag_w_in2"
#define TAG_W_IN3     "tag_w_in3"
#define TAG_W_IN4     "tag_w_in4"
#define TAG_W_HAS1    "tag_w_has1"
#define TAG_W_TXT1    "tag_w_txt1_32z"
//przypisanie numeru porządkowego tagu
#define IN1_TAG   0
#define IN2_TAG   1
#define IN3_TAG   2
#define IN4_TAG   3
#define OUT1_TAG  4
#define OUT2_TAG  5
#define OUT3_TAG  6
#define OUT4_TAG  7
#define HAS1_TAG  8
#define ADC1_TAG  9
#define DAC1_TAG  10
#define TXT1_TAG  11
#define ILE_TAGOW_W 12
//przypisanie wejsć i wyjsć binarnych
#define LINIA_WE1   3 //RXD0 nie w tym modelu GPIO2 WE1
//#define LINIA_WE2   4 //GPIO4 WE2
//#define LINIA_WE3   14//GPIO14 WE3
//#define LINIA_WE4   12//GPIO12 WE4

#define LINIA_WY1   0 //GPIO0 WY1
#define LINIA_WY2   2 //GPIO3 WY2
//#define LINIA_WY3   3//GPIO13 WY3
//#define LINIA_WY4   1//GPIO15 WY4

//przypisanie numeru porządkowego tag-f
#define OUT1_STR  0
#define OUT2_STR  1
#define OUT3_STR  2
#define OUT4_STR  3
#define HAS1_STR  4
#define DAC1_STR  5
#define NET_SSID  6
#define NET_HAS   7
#define ILE_TAGOW 8



#endif

