/* Nazwa:    ObslugaEEPROM.h    
 * Funkcja: Plik naglowkowy procedur zwiazanych z dostepem do danych w EEPROM ESP8266 
 * @author  ARIES
 *
 * Version: V1.00
 * data:    03-08-2018
 *----------------------------------------------------------------------------
 * Copyright (c) 2018 ARIES. All rights reserved.
 *----------------------------------------------------------------------------*/
 /* Define to prevent recursive inclusion ------------------------------------ */
#ifndef __OBSLUGA_EEPROM_H
#define __OBSLUGA_EEPROM_H

#define SIEC_NAZWA_ADR      0
#define SIEC_NAZWA_ROZMIAR  32
#define SIEC_HASLO_ADR      (SIEC_NAZWA_ADR+SIEC_NAZWA_ROZMIAR)
#define SIEC_HASLO_ROZMIAR  32

bool EEPROM_Zapis_SSID(char *p_buf_SSID);
bool EEPROM_Zapis_Hasla(char *p_buf_hasla);
void EEPROM_Odczyt_SSID(char *p_buf_SSID);
void EEPROM_Odczyt_Hasla(char *p_buf_hasla);

#endif

