/*  Procedury obslugi tagów sterujących binarnymi wejsciami/wyjściami
 *  układu ESP8266
 */
#include "Formatowanie_SHTML.h"

//----------------------------------
//inicjacja binarnych wejsć i wyjsć
void Warunki_Tagow_IO_Ini(void)
{
  pinMode(LINIA_WY1, OUTPUT);
  pinMode(LINIA_WY2, OUTPUT);
//  pinMode(LINIA_WY3, OUTPUT);
//  pinMode(LINIA_WY4, OUTPUT);
  digitalWrite(LINIA_WY1, LOW);
  digitalWrite(LINIA_WY2, LOW);
//  digitalWrite(LINIA_WY3, LOW);
//  digitalWrite(LINIA_WY4, LOW);

  pinMode(LINIA_WE1, INPUT_PULLUP);
//  pinMode(LINIA_WE2, INPUT_PULLUP);
//  pinMode(LINIA_WE3, INPUT_PULLUP);
//  pinMode(LINIA_WE4, INPUT_PULLUP);
  
}
//----------------------------------
//kontrola warunków tagów linii IO wejsciowych
bool Warunki_Tagow_IO_WE(char numer_wejscia, char *p_warunek)
{
int stan_we=0, parametr=0;

 if (numer_wejscia ==IN1_TAG)
  {
    stan_we=digitalRead(LINIA_WE1);
    if (stan_we ==HIGH) stan_we =1;
    else stan_we =0;
    parametr =atoi(p_warunek+1);
  }
//  if (numer_wejscia ==IN2_TAG)
//  {
//    stan_we=digitalRead(LINIA_WE2);
//    if (stan_we ==HIGH) stan_we =1;
//    else stan_we =0;    
//    parametr =atoi(p_warunek+1);
//  }
//  if (numer_wejscia ==IN3_TAG)
//  {
//    stan_we=digitalRead(LINIA_WE3);
//    if (stan_we ==HIGH) stan_we =1;
//    else stan_we =0;    
//    parametr =atoi(p_warunek+1);
//  }
//  if (numer_wejscia ==IN4_TAG)
//  {
//    stan_we=digitalRead(LINIA_WE4);
//    if (stan_we ==HIGH) stan_we =1;
//    else stan_we =0;    
//    parametr =atoi(p_warunek+1);
//  }

  if (*p_warunek ==' ') return true;
  if (*p_warunek =='=')
  {
    if (stan_we ==parametr) return true;
    else return false; 
  }
  if (*p_warunek =='!')
  {
    if (stan_we !=parametr) return true;
    else return false; 
  }
  if (*p_warunek =='>')
  {
    if (stan_we >parametr) return true;
    else return false; 
  }
  if (*p_warunek =='<')
  {
    if (stan_we <parametr) return true;
    else return false; 
  }
  return false;
}
//----------------------------------
//kontrola warunków tagów linii IO wyjsciowych
bool Warunki_Tagow_IO_WY(char numer_wyjscia, char *p_warunek)
{
uint32_t stan_wy=0, parametr=0;

  if (numer_wyjscia ==OUT1_TAG)
  {
    stan_wy=digitalRead(LINIA_WY1);
    if (stan_wy ==HIGH) stan_wy =1;
    else stan_wy =0;
    parametr =atoi(p_warunek+1);
  }
  if (numer_wyjscia ==OUT2_TAG)
  {
    stan_wy=digitalRead(LINIA_WY2);
    if (stan_wy ==HIGH) stan_wy =1;
    else stan_wy =0;
    parametr =atoi(p_warunek+1);
  }
//  if (numer_wyjscia ==OUT3_TAG)
//  {
//    stan_wy=digitalRead(LINIA_WY3);
//    if (stan_wy ==HIGH) stan_wy =1;
//    else stan_wy =0;
//    parametr =atoi(p_warunek+1);
//  }
//  if (numer_wyjscia ==OUT4_TAG)
//  {
//    stan_wy=digitalRead(LINIA_WY4);
//    if (stan_wy ==HIGH) stan_wy =1;
//    else stan_wy =0;
//    parametr =atoi(p_warunek+1);
//  }

  if (*p_warunek ==' ') return true;
  if (*p_warunek =='=')
  {
    if (stan_wy ==parametr) return true;
    else return false; 
  }
  if (*p_warunek =='!')
  {
    if (stan_wy !=parametr) return true;
    else return false; 
  }
  if (*p_warunek =='>')
  {
    if (stan_wy >parametr) return true;
    else return false; 
  }
  if (*p_warunek =='<')
  {
    if (stan_wy <parametr) return true;
    else return false; 
  }
  return false;
}
//----------------------------
//ustawianie linii IO Wyjsciowych
void Ustawianie_IO_WY(char num_linii_wy, char *p_poz_par)
{
  if (num_linii_wy ==OUT1_STR)
  {
    if (*p_poz_par =='0') digitalWrite(LINIA_WY1, LOW); //linia LINIA_WY1 =0
    else digitalWrite(LINIA_WY1, HIGH);                 //linia LINIA_WY1 =1
  }
  if (num_linii_wy ==OUT2_STR)
  {
    if (*p_poz_par =='0') digitalWrite(LINIA_WY2, LOW); //linia LINIA_WY2 =0
    else digitalWrite(LINIA_WY2, HIGH);                 //linia LINIA_WY2 =1
  }
//  if (num_linii_wy ==OUT3_STR)
//  {
//    if (*p_poz_par =='0') digitalWrite(LINIA_WY3, LOW); //linia LINIA_WY3 =0
//    else digitalWrite(LINIA_WY3, HIGH);                 //linia LINIA_WY3 =1
//  }
//  if (num_linii_wy ==OUT4_STR)
//  {
//    if (*p_poz_par =='0') digitalWrite(LINIA_WY4, LOW); //linia LINIA_WY4 =0
//    else digitalWrite(LINIA_WY4, HIGH);                 //linia LINIA_WY4 =1
//  }

}
//---------------------------------------------------------------------------------
//przepisywanie na stronę .shtml tekstu text1 będącego zawartoscią tabeli status_IP
bool Warunek_Tagu_txt1(char *p_start, char *p_stop)
{
  int ile_znakow =p_stop-p_start;
  if (ile_znakow >0)
  {
    int rozmiar_buf =strlen(status_IP);
    if (rozmiar_buf >(ile_znakow-1)) 
    {
      rozmiar_buf =ile_znakow-1;
      status_IP[rozmiar_buf] ='\0';
    }
    
    sprintf(p_start,"%s",status_IP);
    memset((p_start+rozmiar_buf), ' ', (ile_znakow-rozmiar_buf));
    return true;  
  }
  return false;
}

